Redmine - Defect #23472

Show open issues only in "Reported Issues" on My page
2016-07-29 15:21 - Anonymous

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: My page Estimated time: 0.00 hour
Target version: 3.3.1

Resolution: Fixed Affected version:

Description

On "My Page" both widgets "Watched issues" and "Issues assigned to me" show only open issues. "Reported issues" shows issues
with any status. | believe all three widgets should filte open issues only.

Related issues:
Related to Redmine - Defect #15777: Watched issues count on "My page" is show... Closed
Has duplicate Redmine - Patch #7687: Incorrect search in my page Closed 2011-02-22

Associated revisions

Revision 15772 - 2016-08-31 18:58 - Jean-Philippe Lang
Show open issues only in "Reported Issues" on My page (#23472).

Patch by Marius BALTEANU.

Revision 15773 - 2016-08-31 18:59 - Jean-Philippe Lang
Merged r15772 (#23472).

History

#1 - 2016-07-29 15:23 - Anonymous
Related to #15777, #12223.

#2 - 2016-08-01 09:45 - Marius BALTEANU

- File reported_by_me_only_open_issues.patch added

Totally agree that all three widgets should have the same behavior and show only open issues. Attached is a patch that fixes this also for reported
issues block. | didn't add any test because | didn't found any existing tests for these widgets.

#3 - 2016-08-02 09:11 - Go MAEDA

- Related to Defect #15777: Watched issues count on "My page" is shown for all issues instead of only open ones added

#4 - 2016-08-02 09:15 - Go MAEDA

- Target version set to 3.3.1

| think this behavior should have changed together with #15777. It was my mistake, when | set target version of #15777 to 3.3.0.

Setting target version to 3.3.1.

#5 - 2016-08-21 08:42 - Go MAEDA
- Has duplicate Patch #7687: Incorrect search in my page added

#6 - 2016-08-31 18:59 - Jean-Philippe Lang

- Subject changed from "Reported Issues” also shows closed issues to Show open issues only in "Reported Issues"” on My page
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
https://www.redmine.org/issues/15777
https://www.redmine.org/issues/12223
https://www.redmine.org/issues/15777
https://www.redmine.org/issues/15777

Patch committed, thanks.

Files

reported_by me_only_open_issues.patch 1 KB 2016-08-01 Marius BALTEANU
